# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLDivElement Class Reference

Generic block container. More...

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLDivElement:

[legend]
Collaboration diagram for DOM::HTMLDivElement:

[legend]
List of all members.

## Public Member Functions

| HTMLDivElement (const HTMLDivElement &other)
| HTMLDivElement (const Node &other)
HTMLDivElement & | operator= (const HTMLDivElement &other)
HTMLDivElement & | operator= (const Node &other)
DOMString | align () const
void | setAlign (const DOMString &)

## Protected Member Functions

| HTMLDivElement (HTMLDivElementImpl *impl)

## Detailed Description

Generic block container.

See the DIV element definition in HTML 4.0.

Definition at line 91 of file html_block.h.

## Member Function Documentation

DOMString HTMLDivElement::align | ( |  | ) | const

| Horizontal text alignment. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 110 of file html_block.cpp.

void HTMLDivElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 116 of file html_block.cpp.

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:58 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003